Bug 1531705 - [FTBFS] perl-Test-LeakTrace FTBFS rawhide
Summary: [FTBFS] perl-Test-LeakTrace FTBFS rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-LeakTrace
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1470030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-05 21:28 UTC by Troy Dawson
Modified: 2018-03-30 12:57 UTC (History)
3 users (show)

Fixed In Version: perl-Test-LeakTrace-0.16-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 12:57:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2018-01-05 21:28:48 UTC
Description of problem:
perl-Test-LeakTrace Fails to build for F27 and F28(rawhide)

Version-Release number of selected component (if applicable):
perl-Test-LeakTrace-0.16-3.fc27

How reproducible:
100% (for ppc64le)

Steps to Reproduce:
1. fedpkg build
2.
3.

Actual results:
It will build for all arches but ppc64le

Expected results:
It should build for all arches

Additional info:
Tried several times, same result.  It is failling on one of the check tests.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24019615

xt/04_synopsis.t ...... ok
# Using valgrind 3.13.0 located at /usr/bin/valgrind
# Generating suppressions...
# Suppressions for this perl stored in /builddir/.perl/Test-Valgrind/suppressions/1.19/memcheck-3.13.0-885d186329f1cbd815de263be35e19a8.supp
# Using suppressions from /builddir/.perl/Test-Valgrind/suppressions/1.19/memcheck-3.13.0-885d186329f1cbd815de263be35e19a8.supp
#   Failed test 'UninitCondition'
#   at /usr/share/perl5/vendor_perl/Test/Valgrind/Session.pm line 598.
#          got: 2
#     expected: 0
# 
#   Conditional jump or move depends on uninitialised value(s)
#     __dcigettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     dcgettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     strerror_r (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     Perl_my_strerror (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_magic_get (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_mg_get (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_sv_setsv_flags (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_pp_sassign (/usr/lib64/libperl.so.5.26.1) [?:?]
#     leaktrace_runops (/builddir/build/BUILD/Test-LeakTrace-0.16/blib/arch/auto/Test/LeakTrace/LeakTrace.so) [LeakTrace.xs:184]
#     Perl_call_sv (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_call_list (/usr/lib64/libperl.so.5.26.1) [?:?]
#     perl_destruct (/usr/lib64/libperl.so.5.26.1) [?:?]
#     ? (/usr/bin/perl) [?:?]
#     generic_start_main.isra.0 (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     (below main) (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     Uninitialised value was created by a stack allocation
#       __dcigettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
# 
#   Conditional jump or move depends on uninitialised value(s)
#     __dcigettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     dcgettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     strerror_r (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     Perl_my_strerror (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_magic_get (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_mg_get (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_sv_setsv_flags (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_pp_sassign (/usr/lib64/libperl.so.5.26.1) [?:?]
#     leaktrace_runops (/builddir/build/BUILD/Test-LeakTrace-0.16/blib/arch/auto/Test/LeakTrace/LeakTrace.so) [LeakTrace.xs:184]
#     Perl_call_sv (/usr/lib64/libperl.so.5.26.1) [?:?]
#     Perl_call_list (/usr/lib64/libperl.so.5.26.1) [?:?]
#     perl_destruct (/usr/lib64/libperl.so.5.26.1) [?:?]
#     ? (/usr/bin/perl) [?:?]
#     generic_start_main.isra.0 (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     (below main) (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
#     Uninitialised value was created by a stack allocation
#       __dcigettext (/usr/lib64/power8/libc-2.26.9000.so) [?:?]
# Looks like your test exited with 1 just after 15.
xt/05_valgrind.t ...... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/15 subtests 
Test Summary Report
-------------------
xt/05_valgrind.t    (Wstat: 256 Tests: 15 Failed: 1)
  Failed test:  8
  Non-zero exit status: 1
Files=19, Tests=158, 15 wallclock secs ( 0.07 usr  0.02 sys + 14.99 cusr  0.22 csys = 15.30 CPU)
Result: FAIL
Failed 1/19 test programs. 1/158 subtests failed.
make: *** [Makefile:973: test_dynamic] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.AdfH3J (%check)
    Bad exit status from /var/tmp/rpm-tmp.AdfH3J (%check)

Comment 1 Fedora End Of Life 2018-02-20 15:29:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Fedora Update System 2018-03-20 11:52:49 UTC
perl-Test-LeakTrace-0.16-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce7aa5e68e

Comment 3 Fedora Update System 2018-03-30 12:57:39 UTC
perl-Test-LeakTrace-0.16-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.